/*
    Copyright (C) 2004-2006  Renaud Blanch

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


package semanticPointing;


import java.awt.Canvas;
import java.awt.Color;
import java.awt.Font;
import java.awt.GradientPaint;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;
import java.text.NumberFormat;


@SuppressWarnings("serial")
public class InfoCanvas extends Canvas {
	protected int height;
	protected double scale;
	protected int sy;
	
	protected BufferedImage bi;
	protected Graphics2D    gBi;
	protected GradientPaint gp;
	
	public void update(Graphics g) {
		paint(g);
	}
	
	public void paint(Graphics g) {
		if(bi == null){
			height = getHeight() - 36;
			gp = new GradientPaint(0, 26, Color.white, 0, height + 26, Color.black);
			bi = (BufferedImage)createImage(getWidth(), getHeight());
			gBi = bi.createGraphics();
			gBi.setBackground(Color.white);
			gBi.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING, RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
			gBi.setFont(new Font("arial", Font.PLAIN, 15));
		}
		
		gBi.clearRect(0, 0, getWidth(), getHeight());
		gBi.drawString("scale", 8, 18);
		gBi.drawString("s : enable/disable semantic pointing", 55, 120);
		gBi.drawString("r : recenter the motor view", 55, 135);
		
//		gBi.drawLine(0, 0, getWidth(), 0);
//		gBi.drawLine(0, getHeight() - 1, getWidth(), getHeight() - 1);
		gBi.drawRect(9, 25, 11, height + 1);
		gBi.setPaint(gp);
		gBi.fillRect(10, 26, 10, height);
		gBi.setColor(Color.black);
		gBi.drawLine(25, sy, 27, sy + 2);
		gBi.drawLine(25, sy, 27, sy - 2);
		gBi.drawString(NumberFormat.getInstance().format(scale), 34, sy + 5);
		
		g.drawImage(bi, 0, 0, null);
	}

	public void setScale(double s) {
		scale = s;
		sy = (int)((1. - scale * ScaleCanvas.s0 / 255) * height + 26);
		repaint();
	}
}
