/*
    Copyright (C) 2004-2006  Renaud Blanch

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


package semanticPointing;

import java.awt.Frame;
import java.awt.Image;
import java.awt.Toolkit;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;


@SuppressWarnings("serial")
public class SPApplication extends Frame {
	public SPApplication() {
		new ImageLoader() {
			public Image loadImage(String in) {
				return Toolkit.getDefaultToolkit().getImage(getClass().getResource("/images/" + in));
			}
		};
		
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}
		});
		
		setSize(800, 470);
//		setSize(1600, 940);
		setResizable(false);
		setTitle("Semantic Pointing");
		
		add(new SemanticPointing(getWidth(), getHeight()));
	}
	
	public static void main(String[] args) {
		SPApplication app = new SPApplication();
		app.setVisible(true);
	}
}
