/*
    Copyright (C) 2004-2006  Renaud Blanch

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


package semanticPointing;


import java.awt.Graphics2D;
import java.awt.geom.Point2D;
import java.util.Vector;


public class SPComposite extends SPObject {
	protected Vector<SPObject> objects;
	
	public SPComposite(Point2D.Double l) {
		super(l);
		objects = new Vector<SPObject>(5);
	}
	
	public SPComposite() {
		this(new Point2D.Double());
	}
	
	public void addObject(SPObject object) {
		objects.add(object);
		object.parent = this;
	}
	
	public void removeObject(SPObject object) {
		object.parent = null;
		objects.remove(object);
	}

	public void moveToFront(SPObject object) {
		removeObject(object);
		addObject(object);
	}
	
	public void render(Graphics2D graphics2D, Style style) {
		for(SPObject o : objects) {
			o.draw(graphics2D, style);
		}
	}

}
