/*
    Copyright (C) 2004-2006  Renaud Blanch

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


package semanticPointing;


import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.event.MouseEvent;
import java.awt.geom.Point2D;
import java.awt.Image;


public class SPIcon extends SPRectangle {
	protected static String defaultImage = "zodiac";
	
	protected static int nextLocation = 10;
	
	protected Image  image;
	protected String imageName;
	
	
	public SPIcon(Point2D.Double l, String fn) {
		super(l, new Point2D.Double(17, 22), 3, Color.black, null, null);
		imageName = fn;
		if(imageName == null) { imageName = defaultImage; }
		image = ImageLoader.loader.getImage("small-" + imageName + ".jpg");
	}

	public SPIcon(int x, int y, String fn) {
		this(new Point2D.Double(x, y), fn);
	}

	public void handleDrag(Point2D.Double d) {
		location.x += d.x;
		location.y += d.y;
	}
	
	public void handlePress(MouseEvent e) {
		if(e.getClickCount() == 2) {
			nextLocation += 10;
			if(nextLocation > 100) { nextLocation = 20; }
			SemanticPointing.instance.content.addObject(new SPImageWindow(nextLocation, nextLocation, 100, 120, imageName, imageName));
		}
	}
	
	public void render(Graphics2D g, Style style) {
		super.render(g, style);
		switch(style) {
		case VISUAL:	
			g.drawImage(image, 1, 1, null);
			break;
			
		default:
			break;
		}
	}	
}
