/*
    Copyright (C) 2004-2006  Renaud Blanch

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


package semanticPointing;

import java.awt.Graphics2D;
import java.awt.geom.Point2D;
import java.awt.Image;

public class SPImageWindow extends SPResizableWindow {
	protected static String defaultImage = "zodiac";
	
	protected Image image;

	public SPImageWindow(Point2D.Double l, Point2D.Double s, String title, String fn) {
		super(l, s, title);

		if(fn == null) { fn = defaultImage; }
		image = ImageLoader.loader.getImage(fn + ".jpg");
	}

	public SPImageWindow(int x, int y, int width, int height, String title, String fn) {
		this(new Point2D.Double(x, y), new Point2D.Double(width, height), title, fn);
	}

	public void render(Graphics2D g, Style style) {
		super.render(g, style);
		switch(style) {
		case VISUAL:
			if(image != null) {
				int dw = (int)((size.x - 4 - image.getWidth(null)) / 2);
				int dh = (int)((size.y - titleHeight - 3 - image.getHeight(null)) / 2);
			
				int dx = 2;
				int dy = titleHeight + 1;
			
				if(dw > 0) { dx += dw; }
				if(dh > 0) { dy += dh; }
	
				g.setClip(2, 2, (int)size.x - 4, (int)size.y - 4);
				g.drawImage(image, dx, dy, null);
				g.setClip(null);
				resize.draw(g, Style.VISUAL);
			}
			break;
			
		default:
			break;
		}
	}
}
