/*
    Copyright (C) 2004-2006  Renaud Blanch

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


package semanticPointing;

import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.geom.Point2D;

public class SPResizableWindow extends SPWindow {
	public SPResizableWindow(Point2D.Double l, Point2D.Double s, String title) {
		super(l, s, title);

		// resize box
		addObject(resize = new SPRectangle(size.x - 5, size.y - 5, boxSize, boxSize, 5, Color.lightGray, Color.black, null) {
			protected SPResizableWindow window = SPResizableWindow.this;
			public void handleDrag(Point2D.Double d) {
				window.resize(d);
			}
			public void render(Graphics2D g, Style style) {
				super.render(g, style);
				
				switch(style) {
				case VISUAL:
					g.setColor(Color.black);
					g.drawLine(2, boxSize - 3, boxSize - 3, boxSize - 3);
					g.drawLine(boxSize - 3, 2, boxSize - 3, boxSize - 3);
					g.drawLine(2, boxSize - 3, boxSize - 3, 2);
					break;
				
				default:
					break;
				}
			}
		});
	}

	public SPResizableWindow(int x, int y, int width, int height, String title) {
		this(new Point2D.Double(x, y), new Point2D.Double(width, height), title);
	}

	public void resize(Point2D.Double d) {
		if((size.y + d.y >= titleHeight + 2 * boxSize) & (size.x + d.x >= 2 * (boxSize + 1))) {
			resize.location.x += d.x;
			resize.location.y += d.y;
			size.x += d.x;
			size.y += d.y;
			titleBar.size.x += d.x;
		}
	}
	
}
